devel/libidn2 - The NetBSD Packages Collection

Convert internationalized domain names to/from ASCII Encoding

Libidn2 is a free software implementation of IDNA2008, Punycode and TR46
in the form of a library. It contains functionality to convert
internationalized domain names to and from ASCII Compatible Encoding
(ACE), following the IDNA2008 and TR46 standards.

The library is a rewrite of the popular but legacy libidn library, and
is backwards (API) compatible with it.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

textproc/libunistring textproc/libunistring

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibidn2-2.3.0.tgz
NetBSD 8.0earmv7hflibidn2-2.3.0.tgz
NetBSD 8.0earmv7hflibidn2-2.3.0.tgz
NetBSD 8.0earmv7hflibidn2-2.3.1.tgz
NetBSD 8.0i386libidn2-2.3.0.tgz
NetBSD 8.0i386libidn2-2.3.0.tgz
NetBSD 8.0i386libidn2-2.3.0.tgz
NetBSD 8.0i386libidn2-2.3.1.tgz
NetBSD 8.0powerpclibidn2-2.3.0.tgz
NetBSD 8.0powerpclibidn2-2.3.0.tgz
NetBSD 8.0powerpclibidn2-2.3.0.tgz
NetBSD 8.0powerpclibidn2-2.3.1.tgz
NetBSD 8.0powerpclibidn2-2.3.1.tgz
NetBSD 8.0x86_64libidn2-2.3.0.tgz
NetBSD 8.0x86_64libidn2-2.3.0.tgz
NetBSD 8.0x86_64libidn2-2.3.0.tgz
NetBSD 8.0x86_64libidn2-2.3.1.tgz
NetBSD 9.0aarch64libidn2-2.3.2.tgz
NetBSD 9.0aarch64libidn2-2.3.0.tgz
NetBSD 9.0aarch64libidn2-2.3.0.tgz
NetBSD 9.0aarch64libidn2-2.3.0.tgz
NetBSD 9.0aarch64libidn2-2.3.1.tgz
NetBSD 9.0alphalibidn2-2.3.1.tgz
NetBSD 9.0alphalibidn2-2.3.0.tgz
NetBSD 9.0alphalibidn2-2.3.2.tgz
NetBSD 9.0earmlibidn2-2.3.0.tgz
NetBSD 9.0earmlibidn2-2.3.1.tgz
NetBSD 9.0earmlibidn2-2.3.2.tgz
NetBSD 9.0earmv6hflibidn2-2.3.2.tgz
NetBSD 9.0earmv6hflibidn2-2.3.0.tgz
NetBSD 9.0earmv6hflibidn2-2.3.0.tgz
NetBSD 9.0earmv6hflibidn2-2.3.0.tgz
NetBSD 9.0earmv6hflibidn2-2.3.0.tgz
NetBSD 9.0earmv6hflibidn2-2.3.1.tgz
NetBSD 9.0earmv7hflibidn2-2.3.1.tgz
NetBSD 9.0earmv7hflibidn2-2.3.0.tgz
NetBSD 9.0earmv7hflibidn2-2.3.0.tgz
NetBSD 9.0earmv7hflibidn2-2.3.0.tgz
NetBSD 9.0earmv7hflibidn2-2.3.0.tgz
NetBSD 9.0earmv7hflibidn2-2.3.0.tgz
NetBSD 9.0earmv7hflibidn2-2.3.1.tgz
NetBSD 9.0earmv7hflibidn2-2.3.2.tgz
NetBSD 9.0i386libidn2-2.3.0.tgz
NetBSD 9.0i386libidn2-2.3.0.tgz
NetBSD 9.0i386libidn2-2.3.0.tgz
NetBSD 9.0i386libidn2-2.3.1.tgz
NetBSD 9.0m68klibidn2-2.3.0.tgz
NetBSD 9.0m68klibidn2-2.3.0.tgz
NetBSD 9.0m68klibidn2-2.3.1.tgz
NetBSD 9.0m68klibidn2-2.3.2.tgz
NetBSD 9.0mips64eblibidn2-2.3.1.tgz
NetBSD 9.0mips64eblibidn2-2.3.0.tgz
NetBSD 9.0mips64eblibidn2-2.3.0.tgz
NetBSD 9.0mips64eblibidn2-2.3.0.tgz
NetBSD 9.0mips64eblibidn2-2.3.2.tgz
NetBSD 9.0mipsellibidn2-2.3.1.tgz
NetBSD 9.0mipsellibidn2-2.3.0.tgz
NetBSD 9.0mipsellibidn2-2.3.0.tgz
NetBSD 9.0mipsellibidn2-2.3.2.tgz
NetBSD 9.0powerpclibidn2-2.3.1.tgz
NetBSD 9.0powerpclibidn2-2.3.0.tgz
NetBSD 9.0powerpclibidn2-2.3.0.tgz
NetBSD 9.0powerpclibidn2-2.3.0.tgz
NetBSD 9.0powerpclibidn2-2.3.1.tgz
NetBSD 9.0sh3ellibidn2-2.3.1.tgz
NetBSD 9.0sh3ellibidn2-2.3.0.tgz
NetBSD 9.0sh3ellibidn2-2.3.0.tgz
NetBSD 9.0sh3ellibidn2-2.3.0.tgz
NetBSD 9.0sh3ellibidn2-2.3.2.tgz
NetBSD 9.0sparc64libidn2-2.3.1.tgz
NetBSD 9.0sparc64libidn2-2.3.0.tgz
NetBSD 9.0sparc64libidn2-2.3.2.tgz
NetBSD 9.0sparclibidn2-2.3.1.tgz
NetBSD 9.0sparclibidn2-2.3.0.tgz
NetBSD 9.0sparclibidn2-2.3.0.tgz
NetBSD 9.0sparclibidn2-2.3.0.tgz
NetBSD 9.0sparclibidn2-2.3.2.tgz
NetBSD 9.0vaxlibidn2-2.3.0.tgz
NetBSD 9.0vaxlibidn2-2.3.0.tgz
NetBSD 9.0vaxlibidn2-2.3.0.tgz
NetBSD 9.0vaxlibidn2-2.3.1.tgz
NetBSD 9.0vaxlibidn2-2.3.2.tgz
NetBSD 9.0x86_64libidn2-2.3.1.tgz
NetBSD 9.0x86_64libidn2-2.3.2.tgz
NetBSD 9.0x86_64libidn2-2.3.0.tgz
NetBSD 9.0x86_64libidn2-2.3.0.tgz
NetBSD 9.0x86_64libidn2-2.3.0.tgz
NetBSD 9.0x86_64libidn2-2.3.1.tgz
NetBSD 9.0x86_64libidn2-2.3.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.